Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTreeDiscrAttrTypeBinding

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlHierTypeBinding
oracle.jbo.uicli.jui.JUTreeDiscrAttrTypeBinding`

All Implemented Interfaces:
  ValidationManager

public class JUTreeDiscrAttrTypeBinding
extends JUCtrlHierTypeBinding

Implements rules that govern the display of rows of a given ViewObject type in a JTree. This class determines:

- The attribute to display for each row that matches the discriminator columnValue for the discriminator attribute in that row.
- The accessor (if any) to expand when the coresponding node is expanded.

See Also:
  `RowIterator`, `JUTreeBinding`, `JTree`

Field Summary

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlHierTypeBinding
`mChildAccessorNames, mDiscrColumnName, mDiscrColumnValue, mViewInstanceName, mVODefName, PNAME_AccessorName, PNAME_ClosedIconName, PNAME_DiscrColumnName, PNAME_DiscrColumnValue, PNAME_IconName, PNAME_OpenIconName, PNAME_TYPE, PNAME_ViewDefName, PNAME_ViewInstanceName`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUTreeDiscrAttrTypeBinding()`
`JUTreeDiscrAttrTypeBinding(java.lang.String voTypeName, java.lang.String childAttrName, java.lang.String discrColumnName, java.lang.String discrColumnValue, java.lang.String childAccessorName)`
`JUTreeDiscrAttrTypeBinding(java.lang.String typeBindingName, java.lang.String voTypeName, java.lang.String childAttrName, java.lang.String discrColumnName, java.lang.String discrColumnValue, java.lang.String childAccessorName)`
`JUTreeDiscrAttrTypeBinding(java.lang.String typeBindingName, java.lang.String voTypeName, java.lang.String childAttrName, java.lang.String discrColumnName, java.lang.String discrColumnValue, java.lang.String childAccessorName, javax.swing.Icon leafIcon, javax.swing.Icon openIcon, javax.swing.Icon closedIcon)`

Method Summary
`boolean` | `isDiscrColumnType()` Returns true to indicate that this node type supports discriminator attribute types.
`boolean` | `isSameDiscrValue(java.lang.Object val)` Returns true if the given object matches the discriminator attribute value for this node type.
`boolean` | `matchViewObjectType(java.lang.String str)` Returns false

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlHierTypeBinding
`cloneType, createControlBindingInstance, getAccessorName, getAccessorNames, getAttributeName, getClosedIcon, getClosedIconName, getDiscrColumnName, getDiscrColumnValue, getLeafIcon, getLeafIconName, getOpenIcon, getOpenIconName, getStructureDefName, getViewDefName, getViewInstanceName, getXMLElementTag, hasIcon, init, loadChildrenFromXML, matchRowDiscrColumn, retrieveFromXML`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Constructor Detail

### JUTreeDiscrAttrTypeBinding

    public JUTreeDiscrAttrTypeBinding()

### JUTreeDiscrAttrTypeBinding

    public JUTreeDiscrAttrTypeBinding(java.lang.String typeBindingName,
                                      java.lang.String voTypeName,
                                      java.lang.String childAttrName,
                                      java.lang.String discrColumnName,
                                      java.lang.String discrColumnValue,
                                      java.lang.String childAccessorName)

### JUTreeDiscrAttrTypeBinding

    public JUTreeDiscrAttrTypeBinding(java.lang.String voTypeName,
                                      java.lang.String childAttrName,
                                      java.lang.String discrColumnName,
                                      java.lang.String discrColumnValue,
                                      java.lang.String childAccessorName)

### JUTreeDiscrAttrTypeBinding

    public JUTreeDiscrAttrTypeBinding(java.lang.String typeBindingName,
                                      java.lang.String voTypeName,
                                      java.lang.String childAttrName,
                                      java.lang.String discrColumnName,
                                      java.lang.String discrColumnValue,
                                      java.lang.String childAccessorName,
                                      javax.swing.Icon leafIcon,
                                      javax.swing.Icon openIcon,
                                      javax.swing.Icon closedIcon)

Method Detail

### matchViewObjectType

    public boolean matchViewObjectType(java.lang.String str)

  Returns false
  Overrides:
    `matchViewObjectType` in class `JUCtrlHierTypeBinding`

### isDiscrColumnType

    public boolean isDiscrColumnType()

  Returns true to indicate that this node type supports discriminator attribute types.
  Overrides:
    `isDiscrColumnType` in class `JUCtrlHierTypeBinding`

### isSameDiscrValue

    public boolean isSameDiscrValue(java.lang.Object val)

  Returns true if the given object matches the discriminator attribute value for this node type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.